[tox]
envlist = {py37,py38,py39,py310}-{sqlite,postgresql}

[testenv]
extras = test
commands =
    coverage run --include=.*/stock_package_shipping/* -m unittest discover -s tests
    coverage report --include=.*/stock_package_shipping/* --omit=*/tests/*
deps =
    coverage
    postgresql: psycopg2 >= 2.7.0
setenv =
    sqlite: TRYTOND_DATABASE_URI={env:SQLITE_URI:sqlite://}
    postgresql: TRYTOND_DATABASE_URI={env:POSTGRESQL_URI:postgresql://}
    sqlite: DB_NAME={env:SQLITE_NAME::memory:}
    postgresql: DB_NAME={env:POSTGRESQL_NAME:test}
install_command = pip install --pre --find-links https://trydevpi.tryton.org/?local_version={env:CI_JOB_ID:{env:CI_BUILD_NUMBER:}.{env:CI_JOB_NUMBER:}} {opts} {packages}
